Bug 1291459 - Review Request: sysreporter - Basic system reporter with emailing
Review Request: sysreporter - Basic system reporter with emailing
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: John Dulaney
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-14 16:56 EST by Nick Bebout
Modified: 2015-12-26 16:51 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-26 16:51:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jdulaney: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Nick Bebout 2015-12-14 16:56:35 EST
Spec URL: https://nb.fedorapeople.org/sysreporter.spec
SRPM URL: https://nb.fedorapeople.org/sysreporter-3.0.0-0.1.alpha3.fc23.src.rpm
Description: Basic system reporter with emailing
Fedora Account System Username: nb
Comment 1 Upstream Release Monitoring 2015-12-14 16:56:54 EST
nb's scratch build of sysreporter-3.0.0-0.1.alpha3.fc23.src.rpm for rawhide completed http://koji.fedoraproject.org/koji/taskinfo?taskID=12189571
Comment 2 John Dulaney 2015-12-14 17:34:26 EST
fedora-review is currently broken, so I went ahead and did a manual review.  rpmlint showed no errors for the source rpm or spec file.

I did get these from the binary rpm:

Checking: sysreporter-3.0.0-0.1.alpha3.fc23.noarch.rpm
sysreporter.noarch: E: non-executable-script /etc/sysreporter/reports.d/41-nginxAccessLogs.sh 644 /bin/bash
sysreporter.noarch: E: executable-marked-as-config-file /etc/sysreporter/reports.d/34-lastLoggedInUsers.sh
sysreporter.noarch: E: non-executable-script /etc/sysreporter/reports.d/41-apacheAccessLogs.sh 644 /bin/bash
sysreporter.noarch: E: non-executable-script /etc/sysreporter/reports.d/42-apacheErrorLogs.sh 644 /bin/bash
sysreporter.noarch: E: executable-marked-as-config-file /etc/sysreporter/reports.d/36-sar.sh
sysreporter.noarch: E: executable-marked-as-config-file /etc/sysreporter/reports.d/30-currentlyLoggedInUsers.sh
sysreporter.noarch: E: executable-marked-as-config-file /etc/sysreporter/reports.d/31-DiskCPUio.sh
sysreporter.noarch: E: executable-marked-as-config-file /etc/sysreporter/reports.d/37-syslogs.sh
sysreporter.noarch: E: executable-marked-as-config-file /etc/sysreporter/reports.d/35-processStats.sh
sysreporter.noarch: E: executable-marked-as-config-file /etc/sysreporter/reports.d/32-diskUsage.sh
sysreporter.noarch: E: non-executable-script /etc/sysreporter/reports.d/42-nginxErrorLogs.sh 644 /bin/bash
sysreporter.noarch: E: executable-marked-as-config-file /etc/sysreporter/reports.d/33-lastBootTime.sh
sysreporter.noarch: E: non-executable-script /etc/sysreporter/reports.d/40-elasticsearchLogs.sh 644 /bin/bash
sysreporter.noarch: W: no-manual-page-for-binary sysreport
2 packages and 0 specfiles checked; 13 errors, 1 warnings.


Maybe put these somewhere else, like say, /usr/lib/sysreporter/ and mark them executable?
Comment 3 John Dulaney 2015-12-14 17:35:19 EST
Forgot to set to assigned.
Comment 4 John Dulaney 2015-12-14 17:39:08 EST
Okay, these are as sysreporter intends to operate, so I'm going to go ahead and accept.
Comment 5 Gwyn Ciesla 2015-12-15 09:44:29 EST
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/sysreporter
Comment 6 Fedora Update System 2015-12-15 10:51:18 EST
sysreporter-3.0.0-0.1.alpha3.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-fdc485236d
Comment 7 Fedora Update System 2015-12-15 10:51:18 EST
sysreporter-3.0.0-0.1.alpha3.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-31259c3f11
Comment 8 Fedora Update System 2015-12-15 10:51:23 EST
sysreporter-3.0.0-0.1.alpha3.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-adc925a1e5
Comment 9 Fedora Update System 2015-12-15 12:31:31 EST
sysreporter-3.0.0-0.1.alpha3.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-f429bb4c03
Comment 10 Fedora Update System 2015-12-16 09:51:19 EST
sysreporter-3.0.0-0.1.alpha3.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update sysreporter'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-fdc485236d
Comment 11 Fedora Update System 2015-12-16 10:18:30 EST
sysreporter-3.0.0-0.1.alpha3.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'yum --enablerepo=epel-testing update sysreporter'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-f429bb4c03
Comment 12 Fedora Update System 2015-12-16 10:20:00 EST
sysreporter-3.0.0-0.1.alpha3.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'yum --enablerepo=epel-testing update sysreporter'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-31259c3f11
Comment 13 Fedora Update System 2015-12-16 17:05:59 EST
sysreporter-3.0.0-0.4.alpha4.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-13edaa9dc7
Comment 14 Fedora Update System 2015-12-16 17:06:06 EST
sysreporter-3.0.0-0.4.alpha4.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-af43634f50
Comment 15 Fedora Update System 2015-12-16 21:00:13 EST
sysreporter-3.0.0-0.1.alpha3.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update sysreporter'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-adc925a1e5
Comment 16 Fedora Update System 2015-12-17 05:27:35 EST
sysreporter-3.0.0-0.4.alpha4.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update sysreporter'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-af43634f50
Comment 17 Fedora Update System 2015-12-17 07:51:10 EST
sysreporter-3.0.0-0.4.alpha4.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'yum --enablerepo=epel-testing update sysreporter'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-a31396de4f
Comment 18 Fedora Update System 2015-12-17 07:51:58 EST
sysreporter-3.0.0-0.4.alpha4.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'yum --enablerepo=epel-testing update sysreporter'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-13edaa9dc7
Comment 19 Fedora Update System 2015-12-18 11:32:44 EST
sysreporter-3.0.2-1.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-e12d03b67f
Comment 20 Fedora Update System 2015-12-18 11:32:53 EST
sysreporter-3.0.2-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-16e9a37ed3
Comment 21 Fedora Update System 2015-12-18 11:32:53 EST
sysreporter-3.0.2-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-5e675baa45
Comment 22 Fedora Update System 2015-12-19 15:00:15 EST
sysreporter-3.0.2-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update sysreporter'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-c38626732e
Comment 23 Fedora Update System 2015-12-19 19:51:01 EST
sysreporter-3.0.2-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'yum --enablerepo=epel-testing update sysreporter'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-e12d03b67f
Comment 24 Fedora Update System 2015-12-19 20:51:13 EST
sysreporter-3.0.2-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'yum --enablerepo=epel-testing update sysreporter'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-5e675baa45
Comment 25 Fedora Update System 2015-12-20 01:51:55 EST
sysreporter-3.0.2-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 26 Fedora Update System 2015-12-20 04:56:09 EST
sysreporter-3.0.2-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.
Comment 27 Fedora Update System 2015-12-20 05:53:42 EST
sysreporter-3.0.2-1.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.
Comment 28 Fedora Update System 2015-12-22 10:36:06 EST
sysreporter-3.0.2-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-16e9a37ed3
Comment 29 Fedora Update System 2015-12-26 16:51:43 EST
sysreporter-3.0.2-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.